<?php $chars = array(
        "А"=>"A","Б"=>"B","В"=>"V","Г"=>"G","Д"=>"D","Е"=>"E","Ё"=>"E","Ж"=>"ZH","З"=>"Z","И"=>"I","Й"=>"I","К"=>"K","Л"=>"L","М"=>"M","Н"=>"N","О"=>"O","П"=>"P","Р"=>"R","С"=>"S","Т"=>"T","У"=>"U","Ф"=>"F","Х"=>"KH","Ц"=>"TS","Ч"=>"CH","Ш"=>"SH","Щ"=>"SHCH","Ъ"=>"IE","Ы"=>"Y","Ь"=>"","Э"=>"E","Ю"=>"IU","Я"=>"IA",
        "а"=>"a","б"=>"b","в"=>"v","г"=>"g","д"=>"d","е"=>"e","ё"=>"e","ж"=>"zh","з"=>"z","и"=>"i","й"=>"i","к"=>"k","л"=>"l","м"=>"m","н"=>"n","о"=>"o","п"=>"p","р"=>"r","с"=>"s","т"=>"t","у"=>"u","ф"=>"f","х"=>"kh","ц"=>"ts","ч"=>"ch","ш"=>"sh","щ"=>"shch","ъ"=>"ie","ы"=>"y","ь"=>"","э"=>"e","ю"=>"iu","я"=>"ia",
        "—"=>"-","«"=>"","»"=>"","…"=>"","№"=>"N","—"=>"-","«"=>"","»"=>"","…"=>"","!"=>"","@"=>"","#"=>"","$"=>"","%"=>"","^"=>"","&"=>""
    );
    function rutranslit($title) {
        global $chars;
        if (seems_utf8($title)) $title = urldecode($title);
        $title = preg_replace('/\.+/','.',$title);
        $r = strtr($title, $chars);
        return $r;
    }
    add_filter('sanitize_file_name','rutranslit');
    add_filter('sanitize_title','rutranslit');
